#
# spec file for package ed
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ed
Version:        1.10
Release:        0
Summary:        GNU ed is a line-oriented text editor
License:        GPL-3.0+ and LGPL-2.1+
Group:          Productivity/Editors/Other
Url:            http://www.gnu.org/software/ed/
Source0:        http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.lz
Source1:        http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.lz.sig
Source2:        ed.keyring
Requires(pre):   %install_info_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  lzip

%description
GNU ed is a line-oriented text editor. It is used to create, display,
modify and otherwise manipulate text files, both interactively and via
shell scripts. A restricted version of ed, red, can only edit files in
the current directory and cannot execute shell commands. Ed is the
"standard" text editor in the sense that it is the original editor for
Unix, and thus widely available. For most purposes, however, it is
superseded by full-screen editors such as GNU Emacs or GNU Moe.

%prep
%setup -q
sed -i \
    -e "s/CFLAGS='.*/CFLAGS='%{optflags}'/" \
    -e "s/CXXFLAGS='.*/CXXFLAGS='%{optflags}'/" \
    configure

%build
%{configure}
make %{?_smp_mflags}

%install
%{makeinstall}
#UsrMerge
%{__install} -d -m 0755 %{buildroot}/bin
%{__ln_s} %{_bindir}/ed %{buildroot}/bin/ed
#UsrMerge

%check
make check

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
/bin/%{name}
%{_bindir}/%{name}
%{_bindir}/r%{name}
%doc %{_infodir}/%{name}.info.gz
%doc %{_mandir}/man1/%{name}.1.gz
%doc %{_mandir}/man1/r%{name}.1.gz

%post
%install_info --entry="* ed: (ed). Line-oriented text editor" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
